Skip to main content
GET
/
api
/
v2
/
savings
/
transactions
Get transactions
curl --request GET \
  --url https://sandbox.killb.app/api/v2/savings/transactions \
  --header 'Authorization: Bearer <token>'
{
  "transactions": [
    {
      "id": "4d23aa52-1b40-4584-a8ea-58aba6099c5c",
      "customerId": "8ffce092-b97a-48bd-9efa-24c66ac7fe13",
      "userId": "9d23aa10-1b40-4584-a8ea-58aba6099c5c",
      "originAccountId": "2e200eb1-d89e-40a3-bb74-45ce3ba61e95",
      "destinationAccountId": "f09c5ef6-c15c-4de5-b2dd-1a44d062dc7f",
      "amount": "322.1",
      "type": "DEPOSIT",
      "currency": "USD",
      "createdAt": "2024-02-06T00:03:30.791Z",
      "updatedAt": "2024-02-06T00:03:30.791Z"
    }
  ],
  "totalPage": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.killb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

limit
number
Example:

1

page
number
Example:

10

id
string
Example:

"70bb2b47-1d79-4071-bfdb-a0b6a18b043b"

destinationAccountId
string
Example:

"1f3f8ec8-53a6-422b-82af-71bb9c7bd3a0"

originAccountId
string
Example:

"f4f49acb-c413-48b2-99b5-d5de57c34165"

userId
string
Example:

"474a6f7c-9b61-417d-ba0c-11cde75d4599"

type
string
Example:

"DEPOSIT"

Response

transactions
object[]
required
totalPage
number
required
Example:

1